
Ryzom - Feature # 865

Status: Closed Priority: Urgent
Author: vl Category: OS: GNU/Linux
Created: 05/09/2010 Assignee: vl
Updated: 07/28/2010 Due date:
Subject: Make the client runs on GNU/Linux
Description

Make the client runs on GNU/Linux

Currently, it compiles and dead lock after the character creation.

History
#1 - 05/10/2010 01:14 am - ratmice
- File deadlock.diff added

the attached patch seems to fix the deadlock i saw,

Its not documentationally correct e.g.
mutex.h:
/** * Classic mutex implementation (not necessarly fair) * Don't assume the mutex are recursive (ie don't call enter() several times

but the implementation uses:
mutex.cpp:
        // Fast mutex. Note: on Windows all mutexes are recursive
        pthread_mutexattr_settype( &attr, PTHREAD_MUTEX_RECURSIVE );

more info, the specific deadlock i'm seeing is because CTaskManager::run() locks _TaskQueue
and calls CTaskManager::changeTaskPriority() which locks _TaskQueue
I'm guessing that this is in case CTaskManager::changeTaskPriority() is called outside of run?

#2 - 05/10/2010 05:05 pm - vl
- Status changed from New to Assigned
- Assignee set to vl
- % Done changed from 0 to 100

#3 - 05/11/2010 10:56 am - vl
- Status changed from Assigned to Resolved

#4 - 05/18/2010 10:22 am - vl
- Target version set to Version 0.8.0

#5 - 05/28/2010 05:23 pm - vl
- Status changed from Resolved to Closed

#6 - 07/28/2010 10:11 am - kervala
- Category changed from Client: General to OS: GNU/Linux
Files
deadlock.diff 5.6 kB 05/10/2010 ratmice
